<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/fs_toolbar_fragment"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:orientation="horizontal"
    android:clickable="true"
    android:focusable="true"
    android:visibility="visible">

    <LinearLayout
        android:id="@+id/ll_set_color"
        android:layout_width="190dp"
        android:layout_height="80dp"
        android:background="@drawable/cn_tee3_ll_set_color_bg"
        android:gravity="center_vertical"
        android:orientation="vertical"
        android:layout_marginStart="62dp"
        android:visibility="gone"
        android:layout_marginLeft="62dp">

        <LinearLayout
            android:layout_width="170dp"
            android:layout_height="25dp"
            android:layout_marginStart="10dp"
            android:layout_marginEnd="5dp"
            android:layout_marginTop="5dp"
            android:layout_marginBottom="5dp"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="5dp">

            <TextView
                android:id="@+id/tv_line_size"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/cn_tee3_White"
                android:textSize="12sp"
                android:layout_gravity="center_vertical"/>

            <SeekBar
                android:id="@+id/sb_line_size"
                android:layout_width="0dp"
                android:layout_height="25dp"
                android:layout_weight="1"
                style="@style/Widget.AppCompat.SeekBar"/>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="36dp"
            android:layout_weight="1"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:focusable="true"
            android:paddingBottom="15dp">

            <ImageView
                android:id="@+id/iv_line_color_red"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginLeft="10dp"
                android:background="@color/cn_tee3_red" />

            <ImageView
                android:id="@+id/iv_line_color_pink"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginLeft="10dp"
                android:background="@color/cn_tee3_pink" />

            <ImageView
                android:id="@+id/iv_line_color_yellow"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginLeft="10dp"
                android:background="@color/cn_tee3_yellow" />

            <ImageView
                android:id="@+id/iv_line_color_green"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginLeft="10dp"
                android:background="@color/cn_tee3_green" />

            <ImageView
                android:id="@+id/iv_line_color_light_blue"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginLeft="10dp"
                android:background="@color/cn_tee3_light_blue" />

            <ImageView
                android:id="@+id/iv_line_color_blue"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginLeft="10dp"
                android:background="@color/cn_tee3_blue" />

            <ImageView
                android:id="@+id/iv_line_color_purple"
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_marginLeft="10dp"
                android:background="@color/cn_tee3_purple" />
        </LinearLayout>
    </LinearLayout>
    <!-- 钢笔、荧光笔、颜色、箭头、橡皮擦、激光笔 -->
    <LinearLayout
        android:id="@+id/ll_draw_tool"
        android:layout_width="300dp"
        android:layout_height="58dp"
        android:layout_below="@+id/ll_set_color"
        android:background="@drawable/cn_tee3_iv_draw_tool_bg"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingEnd="5dp">

        <LinearLayout
            android:id="@+id/ll_fountain_pen"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="58dp"
            android:gravity="center"
            android:orientation="vertical"
            android:layout_weight="1">

            <ImageView
                android:id="@+id/iv_fountain_pen"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/cn_tee3_iv_fountain_pen" />

            <TextView
                android:id="@+id/tv_fountain_pen"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/pen"
                android:textSize="10sp"
                android:textColor="@color/cn_tee3_White"
                android:layout_marginTop="3dp"/>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_fluorescent_pen"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="6dp"
            android:gravity="center"
            android:orientation="vertical"
            android:layout_weight="1">

            <ImageView
                android:id="@+id/iv_fluorescent_pen"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/cn_tee3_iv_fluorescent_pen_no_select" />

            <TextView
                android:id="@+id/tv_fluorescent_pen"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/highlighter"
                android:textSize="10sp"
                android:textColor="@color/cn_tee3_White"
                android:layout_marginTop="3dp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_color"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="6dp"
            android:gravity="center"
            android:orientation="vertical"
            android:layout_weight="1">

            <ImageView
                android:id="@+id/iv_color"
                android:layout_width="20dp"
                android:layout_height="20dp" />

            <TextView
                android:id="@+id/tv_color"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/draw_color"
                android:textSize="10sp"
                android:textColor="@color/cn_tee3_White"
                android:layout_marginTop="3dp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_arrow"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="6dp"
            android:gravity="center"
            android:orientation="vertical"
            android:layout_weight="1">

            <ImageView
                android:id="@+id/iv_arrow"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:background="@drawable/cn_tee3_iv_arrow_no_select"/>

            <TextView
                android:id="@+id/tv_arrow"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/arrow"
                android:textSize="10sp"
                android:textColor="@color/cn_tee3_White"
                android:layout_marginTop="3dp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_rubber"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="6dp"
            android:gravity="center"
            android:orientation="vertical"
            android:layout_weight="1">

            <ImageView
                android:id="@+id/iv_rubber"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/cn_tee3_iv_rubber_no_select" />

            <TextView
                android:id="@+id/tv_rubber"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/eraser"
                android:textSize="10sp"
                android:textColor="@color/cn_tee3_White"
                android:layout_marginTop="3dp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_laser_pen"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="6dp"
            android:gravity="center"
            android:orientation="vertical"
            android:layout_weight="1">

            <ImageView
                android:id="@+id/iv_laser_pen"
                android:layout_width="20dp"
                android:layout_height="20dp"
                android:background="@drawable/cn_tee3_iv_laser_pen_no_select"/>

            <TextView
                android:id="@+id/tv_laser_pen"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/laser_pointer"
                android:textSize="10sp"
                android:textColor="@color/cn_tee3_White"
                android:layout_marginTop="3dp" />
        </LinearLayout>
    </LinearLayout>

    <CheckBox
        android:id="@+id/rb_draw_tool"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:button="@null"
        android:background="@drawable/cn_tee3_select_draw_tool_bg"
        android:layout_marginStart="5dp"
        android:layout_marginBottom="5dp"
        android:checked="true"
        android:clickable="true"
        android:focusable="true"
        android:layout_alignBottom="@+id/ll_draw_tool" />

</RelativeLayout>